# onyx_vxlan – Configures Vxlan

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of Vxlan configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

arp_suppression
boolean

Choices:
- no ←
- yes

A flag telling if to configure arp suppression.

bgp
boolean

Choices:
- no
- yes ←

configure bgp on nve interface.

loopback_id - |  | loopback interface ID.
mlag_tunnel_ip - |  | vxlan Mlag tunnel IP
nve_id - / required |  | nve interface ID.
vni_vlan_list - |  | Each item in the list has two attributes vlan_id, vni_id.

## Notes

Note

- Tested on ONYX evpn_dev.031.

- nve protocol must be enabled.

## Examples

    - name: configure Vxlan
      onyx_vxlan:
        nve_id: 1
        loopback_id: 1
        bgp: yes
        mlag-tunnel-ip: 100.0.0.1
        vni_vlan_list:
          - vlan_id: 10
            vni_id: 10010
          - vlan_id: 6
            vni_id: 10060
        arp_suppression: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

commands
list

always

The list of configuration mode commands to send to the device.
Sample:
['interface nve 1', 'interface nve 1 vxlan source interface loopback 1', 'interface nve 1 nve controller bgp', 'interface nve 1 vxlan mlag-tunnel-ip 100.0.0.1', 'interface nve 1 nve vni 10010 vlan 10', 'interface nve 1 nve vni 10060 vlan 6', 'interface nve 1 nve neigh-suppression', 'interface vlan 6', 'interface vlan 10']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.